Bug 44642 - cvs under RHL 7.1 checkout errors, using existing repository (nfs trouble?)
cvs under RHL 7.1 checkout errors, using existing repository (nfs trouble?)
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-14 18:53 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:19:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-14 18:53:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
On RHL7.1, using 'cvs checkout' on a pre-existing repository (accessed over
NFS) produces these kinds of errors-- (1) "cannot open directory", (2)
silently neglecting to retrieve whole directories, and (3) silently
neglecting to retrieve individual files.

Have observed this with several RHL 7.1 systems, accessing the same,
existing CVS repository over NFS.  The problem is not present on an RHL 7.0
system, and has not been observed on RHL 7.1 when accessing a cvs
repository on the local hard drive.  However, it does occur on RHL 7.1 when
using other versions of cvs, including the one that comes with RHL 7.0.

Have NOT observed this error when accessing a local (non-NFS) repository.
Maybe this is a problem with nfs (client-mode) in RHL 7.1??


How reproducible:
Always

Steps to Reproduce:
I don't know how to make this reproduceable by others.   If you check out a
large project from a cvs repository over accessed over NFS (so that it
looks to CVS like it is local), then maybe you will see it too.


Additional info:

Errors observed:
------------
Here are the types of errors occurring:
(1) 
  cvs checkout: Updating <directory name>....
  cvs checkout: cannot open directory  
<directory name>:
Value too large for defined data type
  cvs checkout: skipping directory

(2) None of the subdirectories under some other directory are retrieved.

(3) Files get neglected.  (1 here, a few there....)

On a sizeable project (about 1400 files in about 90 directories), problem
(1) occurs once.  Numerous directories and files are lost.
The errors seem to occur with the same files and directories every time,
even on different RHL systems.

Configurations tested:
---------------
The following configurations produce the error   (All of these accessed the
repository via NFS on a LAN):
** RHL 7.1, using the distribution's cvs and accessing the repository via
am-utils.
** RHL 7.1, using the distribution's cvs and accessing the repository via a
static NFS mount.
** RHL 7.1 using cvs-1.11.1p1-1
** RHL 7.1 using the cvs RPM that comes with RHL 7.0
** RHL 7.1 using a rebuilt, statically linked version of the cvs version
that comes with RHL 7.0

The error was NOT observed in the following configurations:
** RHL 7.0 using the distribution's cvs
** RHL 7.1 with a COPY of the whole repository placed onto the local hard
drive.
Comment 1 Need Real Name 2001-07-05 16:15:54 EDT
The NFS server used in these "tests" runs IRIX 64, version 6.5.3.
Comment 2 Need Real Name 2001-08-23 09:58:05 EDT
This problem went away in the Roswell beta.
Comment 3 Bill Nottingham 2006-08-07 14:56:28 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 4 Bill Nottingham 2006-10-18 12:19:56 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.